import{s as vt,n as Tt,o as At}from"../chunks/scheduler.b108d059.js";import{S as xt,i as wt,g as d,s as l,r as W,A as Ct,h as o,f as n,c as r,j as ct,u as Y,x as i,k as bt,y as $t,a,v as K,d as Q,t as Z,w as tt}from"../chunks/index.008de539.js";import{g as _t}from"../chunks/navigation.650c48ea.js";import{H as et}from"../chunks/Heading.88bfeb84.js";function Bt(nt){let s,L,R,M,p,y,f,at="We are continually expanding our support for other model types and plan to include them in future updates.",I,h,P,m,lt=`Text Embeddings Inference currently supports BERT, CamemBERT, XLM-RoBERTa models with absolute positions and JinaBERT
model with Alibi positions.`,H,u,rt="Below are some examples of the currently supported models:",S,g,dt='<thead><tr><th>MTEB Rank</th> <th>Model Type</th> <th>Model ID</th></tr></thead> <tbody><tr><td>1</td> <td>Bert</td> <td><a href="https://hf.co/BAAI/bge-large-en-v1.5" rel="nofollow">BAAI/bge-large-en-v1.5</a></td></tr> <tr><td>2</td> <td></td> <td><a href="https://hf.co/BAAI/bge-base-en-v1.5" rel="nofollow">BAAI/bge-base-en-v1.5</a></td></tr> <tr><td>3</td> <td></td> <td><a href="https://hf.co/llmrails/ember-v1" rel="nofollow">llmrails/ember-v1</a></td></tr> <tr><td>4</td> <td></td> <td><a href="https://hf.co/thenlper/gte-large" rel="nofollow">thenlper/gte-large</a></td></tr> <tr><td>5</td> <td></td> <td><a href="https://hf.co/thenlper/gte-base" rel="nofollow">thenlper/gte-base</a></td></tr> <tr><td>6</td> <td></td> <td><a href="https://hf.co/intfloat/e5-large-v2" rel="nofollow">intfloat/e5-large-v2</a></td></tr> <tr><td>7</td> <td></td> <td><a href="https://hf.co/BAAI/bge-small-en-v1.5" rel="nofollow">BAAI/bge-small-en-v1.5</a></td></tr> <tr><td>10</td> <td></td> <td><a href="https://hf.co/intfloat/e5-base-v2" rel="nofollow">intfloat/e5-base-v2</a></td></tr> <tr><td>11</td> <td>XLM-RoBERTa</td> <td><a href="https://hf.co/intfloat/multilingual-e5-large" rel="nofollow">intfloat/multilingual-e5-large</a></td></tr> <tr><td>N/A</td> <td>JinaBERT</td> <td><a href="https://hf.co/jinaai/jina-embeddings-v2-base-en" rel="nofollow">jinaai/jina-embeddings-v2-base-en</a></td></tr> <tr><td>N/A</td> <td>JinaBERT</td> <td><a href="https://hf.co/jinaai/jina-embeddings-v2-small-en" rel="nofollow">jinaai/jina-embeddings-v2-small-en</a></td></tr></tbody>',k,c,ot=`To explore the list of best performing text embeddings models, visit the
<a href="https://huggingface.co/spaces/mteb/leaderboard" rel="nofollow">Massive Text Embedding Benchmark (MTEB) Leaderboard</a>.`,X,b,j,v,it="Text Embeddings Inference currently supports CamemBERT, and XLM-RoBERTa Sequence Classification models with absolute positions.",q,T,st="Below are some examples of the currently supported models:",D,A,pt='<thead><tr><th>Task</th> <th>Model Type</th> <th>Model ID</th> <th>Revision</th></tr></thead> <tbody><tr><td>Re-Ranking</td> <td>XLM-RoBERTa</td> <td><a href="https://huggingface.co/BAAI/bge-reranker-large" rel="nofollow">BAAI/bge-reranker-large</a></td> <td><code>refs/pr/4</code></td></tr> <tr><td>Re-Ranking</td> <td>XLM-RoBERTa</td> <td><a href="https://huggingface.co/BAAI/bge-reranker-base" rel="nofollow">BAAI/bge-reranker-base</a></td> <td><code>refs/pr/5</code></td></tr> <tr><td>Sentiment Analysis</td> <td>RoBERTa</td> <td><a href="https://huggingface.co/SamLowe/roberta-base-go_emotions" rel="nofollow">SamLowe/roberta-base-go_emotions</a></td> <td></td></tr></tbody>',N,x,U,w,ft=`Text Embeddings Inference supports can be used on CPU, Turing (T4, RTX 2000 series, …), Ampere 80 (A100, A30),
Ampere 86 (A10, A40, …), Ada Lovelace (RTX 4000 series, …), and Hopper (H100) architectures.`,z,C,ht=`The library does <strong>not</strong> support CUDA compute capabilities &lt; 7.5, which means V100, Titan V, GTX 1000 series, etc. are not supported.
To leverage your GPUs, make sure to install the
<a href="https://docs.nvidia.com/datacenter/cloud-native/container-toolkit/install-guide.html" rel="nofollow">NVIDIA Container Toolkit</a>, and use
NVIDIA drivers with CUDA version 12.2 or higher.`,V,$,mt="Find the appropriate Docker image for your hardware in the following table:",F,_,ut="<thead><tr><th>Architecture</th> <th>Image</th></tr></thead> <tbody><tr><td>CPU</td> <td>ghcr.io/huggingface/text-embeddings-inference:cpu-0.4.0</td></tr> <tr><td>Volta</td> <td>NOT SUPPORTED</td></tr> <tr><td>Turing (T4, RTX 2000 series, …)</td> <td>ghcr.io/huggingface/text-embeddings-inference:turing-0.4.0 (experimental)</td></tr> <tr><td>Ampere 80 (A100, A30)</td> <td>ghcr.io/huggingface/text-embeddings-inference:0.4.0</td></tr> <tr><td>Ampere 86 (A10, A40, …)</td> <td>ghcr.io/huggingface/text-embeddings-inference:86-0.4.0</td></tr> <tr><td>Ada Lovelace (RTX 4000 series, …)</td> <td>ghcr.io/huggingface/text-embeddings-inference:89-0.4.0</td></tr> <tr><td>Hopper (H100)</td> <td>ghcr.io/huggingface/text-embeddings-inference:hopper-0.4.0 (experimental)</td></tr></tbody>",O,B,gt=`<strong>Warning</strong>: Flash Attention is turned off by default for the Turing image as it suffers from precision issues.
You can turn Flash Attention v1 ON by using the <code>USE_FLASH_ATTENTION=True</code> environment variable.`,G,E,J;return p=new et({props:{title:"Supported models and hardware",local:"supported-models-and-hardware",headingTag:"h1"}}),h=new et({props:{title:"Supported embeddings models",local:"supported-embeddings-models",headingTag:"h2"}}),b=new et({props:{title:"Supported sequence classification models",local:"supported-sequence-classification-models",headingTag:"h2"}}),x=new et({props:{title:"Supported hardware",local:"supported-hardware",headingTag:"h2"}}),{c(){s=d("meta"),L=l(),R=d("p"),M=l(),W(p.$$.fragment),y=l(),f=d("p"),f.textContent=at,I=l(),W(h.$$.fragment),P=l(),m=d("p"),m.textContent=lt,H=l(),u=d("p"),u.textContent=rt,S=l(),g=d("table"),g.innerHTML=dt,k=l(),c=d("p"),c.innerHTML=ot,X=l(),W(b.$$.fragment),j=l(),v=d("p"),v.textContent=it,q=l(),T=d("p"),T.textContent=st,D=l(),A=d("table"),A.innerHTML=pt,N=l(),W(x.$$.fragment),U=l(),w=d("p"),w.textContent=ft,z=l(),C=d("p"),C.innerHTML=ht,V=l(),$=d("p"),$.textContent=mt,F=l(),_=d("table"),_.innerHTML=ut,O=l(),B=d("p"),B.innerHTML=gt,G=l(),E=d("p"),this.h()},l(t){const e=Ct("svelte-u9bgzb",document.head);s=o(e,"META",{name:!0,content:!0}),e.forEach(n),L=r(t),R=o(t,"P",{}),ct(R).forEach(n),M=r(t),Y(p.$$.fragment,t),y=r(t),f=o(t,"P",{"data-svelte-h":!0}),i(f)!=="svelte-1k6m0ht"&&(f.textContent=at),I=r(t),Y(h.$$.fragment,t),P=r(t),m=o(t,"P",{"data-svelte-h":!0}),i(m)!=="svelte-1sgfzdx"&&(m.textContent=lt),H=r(t),u=o(t,"P",{"data-svelte-h":!0}),i(u)!=="svelte-vskdni"&&(u.textContent=rt),S=r(t),g=o(t,"TABLE",{"data-svelte-h":!0}),i(g)!=="svelte-6t05t9"&&(g.innerHTML=dt),k=r(t),c=o(t,"P",{"data-svelte-h":!0}),i(c)!=="svelte-1fz6qfa"&&(c.innerHTML=ot),X=r(t),Y(b.$$.fragment,t),j=r(t),v=o(t,"P",{"data-svelte-h":!0}),i(v)!=="svelte-zqq6xg"&&(v.textContent=it),q=r(t),T=o(t,"P",{"data-svelte-h":!0}),i(T)!=="svelte-vskdni"&&(T.textContent=st),D=r(t),A=o(t,"TABLE",{"data-svelte-h":!0}),i(A)!=="svelte-ze9dp3"&&(A.innerHTML=pt),N=r(t),Y(x.$$.fragment,t),U=r(t),w=o(t,"P",{"data-svelte-h":!0}),i(w)!=="svelte-1hzwifd"&&(w.textContent=ft),z=r(t),C=o(t,"P",{"data-svelte-h":!0}),i(C)!=="svelte-gw6034"&&(C.innerHTML=ht),V=r(t),$=o(t,"P",{"data-svelte-h":!0}),i($)!=="svelte-16dfo8x"&&($.textContent=mt),F=r(t),_=o(t,"TABLE",{"data-svelte-h":!0}),i(_)!=="svelte-ic2zrp"&&(_.innerHTML=ut),O=r(t),B=o(t,"P",{"data-svelte-h":!0}),i(B)!=="svelte-173bv05"&&(B.innerHTML=gt),G=r(t),E=o(t,"P",{}),ct(E).forEach(n),this.h()},h(){bt(s,"name","hf:doc:metadata"),bt(s,"content",Rt)},m(t,e){$t(document.head,s),a(t,L,e),a(t,R,e),a(t,M,e),K(p,t,e),a(t,y,e),a(t,f,e),a(t,I,e),K(h,t,e),a(t,P,e),a(t,m,e),a(t,H,e),a(t,u,e),a(t,S,e),a(t,g,e),a(t,k,e),a(t,c,e),a(t,X,e),K(b,t,e),a(t,j,e),a(t,v,e),a(t,q,e),a(t,T,e),a(t,D,e),a(t,A,e),a(t,N,e),K(x,t,e),a(t,U,e),a(t,w,e),a(t,z,e),a(t,C,e),a(t,V,e),a(t,$,e),a(t,F,e),a(t,_,e),a(t,O,e),a(t,B,e),a(t,G,e),a(t,E,e),J=!0},p:Tt,i(t){J||(Q(p.$$.fragment,t),Q(h.$$.fragment,t),Q(b.$$.fragment,t),Q(x.$$.fragment,t),J=!0)},o(t){Z(p.$$.fragment,t),Z(h.$$.fragment,t),Z(b.$$.fragment,t),Z(x.$$.fragment,t),J=!1},d(t){t&&(n(L),n(R),n(M),n(y),n(f),n(I),n(P),n(m),n(H),n(u),n(S),n(g),n(k),n(c),n(X),n(j),n(v),n(q),n(T),n(D),n(A),n(N),n(U),n(w),n(z),n(C),n(V),n($),n(F),n(_),n(O),n(B),n(G),n(E)),n(s),tt(p,t),tt(h,t),tt(b,t),tt(x,t)}}}const Rt='{"title":"Supported models and hardware","local":"supported-models-and-hardware","sections":[{"title":"Supported embeddings models","local":"supported-embeddings-models","sections":[],"depth":2},{"title":"Supported sequence classification models","local":"supported-sequence-classification-models","sections":[],"depth":2},{"title":"Supported hardware","local":"supported-hardware","sections":[],"depth":2}],"depth":1}';function Et(nt){return At(()=>{new URLSearchParams(window.location.search).get("fw"),window.hfDocGoto=_t}),[]}class Pt extends xt{constructor(s){super(),wt(this,s,Et,Bt,vt,{})}}export{Pt as component};
